import { Pipe, PipeTransform } from '@angular/core';
import { DateAdapter } from '@isa-ui/core/date';

@Pipe({
  name: 'getCellName',
})
export class GetCellNamePipe implements PipeTransform {
  constructor(private dateAdapter: DateAdapter<any>) {}

  transform(value: any, ...args: any[]): any {
    return this.dateAdapter.getDateName(value);
  }
}
